APTITUDE-RUN-STATE(1)

NAME
aptitude-run-state-bundle - pak een statusbundel van aptitude uit en gebruik dit om er aptitude op uit te voeren.

SAMENVATTING

aptitude-run-state-bundle [<opties>...] <invoerbestand> [<programma> [<argumenten>...]]

OMSCHRIJVING

    Opmerking

    Dit commando is hoofdzakelijk bedoeld voor intern gebruik en voor het rapporteren van bugs in uitzonderlijke gevallen. In normale omstandigheden is het niet bedoeld voor gewone gebruikers.

aptitude-run-state-bundle pakt de opgegeven statusbundel van aptitude die met aptitude-create-state-bundle(1) aangemaakt werd, uit in een tijdelijke map, voert daarop <programma> uit met de opgegeven <argumenten> en verwijdert nadien de tijdelijke map. Indien <programma> niet opgegeven wordt, wordt teruggevallen op aptitude(8), wat de standaard is.

OPTIES

De volgende opties mogen op de commandoregel aan het invoerbestand voorafgaan. Opties die na het invoerbestand staan worden geïnterpreteerd als argumenten voor aptitude.

--append-args
    Plaats de opties die de locatie van de statusbundel vermelden, aan het eind van de commandoregel bij het uitvoeren van <programma>, in de plaats van aan het begin (standaard worden opties aan het begin geplaatst).

--help
    Toon een korte samenvatting van het gebruik.

--prepend-args
    Plaats de opties die de locatie van de statusbundel vermelden, aan het begin van de commandoregel bij het uitvoeren van <programma>, en hef eventuele eerdere --append-args-instructies op (standaard worden opties aan het begin geplaatst).

--no-clean
    Verwijder de uitgepakte statusmap niet na het uitvoeren van aptitude. Het kan zijn dat u dit bijvoorbeeld wilt gebruiken als u een probleem wilt onderzoeken dat optreedt bij het wijzigen van het statusbestand van aptitude. Als aptitude afsluit, zal de naam van de statusmap weergegeven worden, zodat u er later naartoe kunt gaan.

    Deze optie wordt automatisch geactiveerd door --statedir.

--really-clean
    Verwijder de statusmap na het uitvoeren vanaptitude, zelfs al werd --no-clean of --statedir opgegeven.

--statedir
    Behandel het invoerbestand niet als statusbundel maar als een uitgepakte statusbundel. U kunt dit bijvoorbeeld gebruiken om gebruik te maken van een statusmap die aangemaakt werd bij een eerdere uitvoering van het programma met de optie --no-clean.

--unpack
    Pak het invoerbestand naar een tijdelijke map uit, maar voer het programma aptitude niet echt uit.

ZIE OOK

aptitude-create-state-bundle(1), aptitude(8), apt(8)

AUTEURS

Daniel Burrows <dburrows@debian.org>
    Hoofdauteur van het document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Belangrijkste onderhouder na Daniel Burrows, documentatie over nieuwe functionaliteit, correcties en opmaak.

COPYRIGHT

Copyright 2007 Daniel Burrows.

Deze man-pagina is vrije software. U kunt ze verspreiden en/of wijzigen volgens de voorwaarden van de GNU General Public License gepubliceerd door de Free Software Foundation, versie 2 of (volgens uw keuze) elke latere versie.

Deze man-pagina wordt verdeeld in de hoop dat ze nuttig zal zijn, maar ZONDER ENIGE GARANTIE, zelfs zonder de impliciete garantie van VERHANDELBAARHEID of GESCHIKTHEID VOOR EEN SPECIFIEK DOEL. Raadpleeg de GNU General Public License voor meer details.

Samen met dit programma zou u een kopie van de GNU General Public License ontvangen moeten hebben. Is dat niet het geval, schrijf dan naar the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.